POST api/v1/child-medications

Request Information

URI Parameters

None.

Body Parameters

AddMedicationRequest
NameDescriptionTypeAdditional information
ChildId

integer

None.

MedicineName

string

None.

DosageText

string

None.

FrequencyPerDay

byte

None.

StartDate

string

None.

EndDate

string

None.

TotalDoses

integer

None.

Instructions

string

None.

ScheduleItems

Collection of ScheduleItemDto

None.

Request Formats

application/json, text/json

Sample:
{
  "childId": 1,
  "medicineName": "sample string 2",
  "dosageText": "sample string 3",
  "frequencyPerDay": 64,
  "startDate": "sample string 5",
  "endDate": "sample string 6",
  "totalDoses": 1,
  "instructions": "sample string 7",
  "scheduleItems": [
    {
      "label": "sample string 1",
      "time": "sample string 2",
      "reminderOffsetMinutes": 1
    },
    {
      "label": "sample string 1",
      "time": "sample string 2",
      "reminderOffsetMinutes": 1
    }
  ]
}

application/xml, text/xml

Sample:
<ChildMedicationsController.AddMedicationRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/API.Controllers">
  <ChildId>1</ChildId>
  <DosageText>sample string 3</DosageText>
  <EndDate>sample string 6</EndDate>
  <FrequencyPerDay>64</FrequencyPerDay>
  <Instructions>sample string 7</Instructions>
  <MedicineName>sample string 2</MedicineName>
  <ScheduleItems>
    <ChildMedicationsController.ScheduleItemDto>
      <Label>sample string 1</Label>
      <ReminderOffsetMinutes>1</ReminderOffsetMinutes>
      <Time>sample string 2</Time>
    </ChildMedicationsController.ScheduleItemDto>
    <ChildMedicationsController.ScheduleItemDto>
      <Label>sample string 1</Label>
      <ReminderOffsetMinutes>1</ReminderOffsetMinutes>
      <Time>sample string 2</Time>
    </ChildMedicationsController.ScheduleItemDto>
  </ScheduleItems>
  <StartDate>sample string 5</StartDate>
  <TotalDoses>1</TotalDoses>
</ChildMedicationsController.AddMedicationRequest>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json, application/xml, text/xml

Sample:

Sample not available.